- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriter File Reference

`#include <osg/Referenced>`
`#include <osg/Image>`
`#include <osg/Shape>`
`#include <osg/Node>`
`#include <osgDB/Export>`
`#include <deque>`

Include dependency graph for ReaderWriter:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgDB
## Classes
class | osgDB::ReaderWriter
| pure virtual base class for reading and writing of non native formats. More...
class | osgDB::ReaderWriter::Options
| Options base class used for passing options into plugins to control their operation. More...
class | osgDB::ReaderWriter::ReadResult
class | osgDB::ReaderWriter::WriteResult
## Defines
#define | OSGDB_READERWRITER 1
## Typedefs
typedef std::deque< std::string > | osgDB::FilePathList
| list of directories to search through which searching for files.

## Define Documentation

#define OSGDB_READERWRITER 1